{% extends 'base.twig' %}

{% block content %}

    <section class="ArchiveProduct">
        <div class="Container Breadcrumbs">
            {{ fn('yoast_breadcrumb') }}
        </div>

    {{ fn('woocommerce_output_all_notices') }}

    {% if display_type == "both" or display_type == "" or display_type == "subcategories" %}
        {% if categories|length %}
            <div class="Container">
                <div class="grid gap-8 grid-cols-1 sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-4">
                    {% for category in categories %}
                        {% include "woocommerce/loop-category/loop-category.twig" %}
                    {% endfor %}
                </div>
            </div>
        {% endif %}
    {% endif %}

    {% if display_type == "both" or display_type == "products" or display_type == "" %}
        

        {# 
            woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
            woocommerce_breadcrumb - 20
            WC_Structured_Data::generate_website_data() - 30
        #}
        {{ remove_action('woocommerce_before_main_content', 'woocommerce_breadcrumb', 20) }}
        {% do action('woocommerce_before_main_content') %}

        <div class="bg-light py-16">
            <div class="Container ArchiveProduct__container">

                {% include 'woocommerce/components/FiltersSidebar/filters-sidebar.twig' %}

                <div class="ArchiveContainer__content" data-columns="{{ columns }}">

                    <header class="woocommerce-products-header">
                        {% filter apply_filters('woocommerce_show_page_title', 'true') %}
                            <h1 class="text-4xl text-primary ">
                                {{ fn('woocommerce_page_title') }}
                            </h1>
                        {% endfilter %}

                        {# 
                            woocommerce_taxonomy_archive_description - 10
                            woocommerce_product_archive_description - 10
                        #}
                        {% do action('woocommerce_archive_description') %}
                    </header>

                    <div class="flex items-center justify-between my-8">
                        <div class="flex items-center">
                            <button class="Button--no-style grid-list-switch" data-view="grid">{{ icon('grid-view') }}</button>
                            <button class="Button--no-style grid-list-switch" data-view="list">{{ icon('list-view') }}</button>
                        </div>
                        <div class="flex items-center justify-start">
                            <button class="Button--no-style flex items-center mr-8 text-primary toggle-filters">
                                {{ icon('filters') }}
                                {{ __( 'Filtry', 'starter' ) }}
                            </button>
                            {{ fn('woocommerce_catalog_ordering') }}
                        </div>
                    </div>

                    {% if fn('woocommerce_product_loop') %}

                        {#
                            woocommerce_output_all_notices - 10
                            woocommerce_result_count - 20
                            woocommerce_catalog_ordering - 30
                        #}

                        {{ remove_action( 'woocommerce_before_shop_loop', 'woocommerce_output_all_notices', 10  ) }}
                        {{ remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20  ) }}
                        {{ remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30  ) }}
                        {% do action('woocommerce_before_shop_loop') %}

                            {{ fn('woocommerce_product_loop_start') }}

                                {% if fn('wc_get_loop_prop', 'total') %}
                                    {% for post in posts %}
                                        {% do action('woocommerce_shop_loop') %}
                                        
                                        {% include "woocommerce/loop-product/loop-product.twig" %}
                                    {% endfor %}

                                {% endif %}
                                
                            {{ fn('woocommerce_product_loop_end') }}

                        <div class="Pagination">
                            {{ fn( 'woocommerce_pagination' ) }}
                        </div>

                            {#  woocommerce_pagination - 10 #}
                            {{ remove_action('woocommerce_after_shop_loop', 'woocommerce_pagination' , 10) }}
                        {% do action('woocommerce_after_shop_loop') %}
                    </div>

                {% else %}

                    {# wc_no_products_found - 10 #}
                    {% do action('woocommerce_no_products_found') %}

                {% endif %}
            </div>
        </div>

    {% endif %}

        {# 
            woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
        #}
        {% do action('woocommerce_after_main_content')  %}

    </section>
{% endblock %}
